---
notes: Entreaty for contributors. Please filter out all purely advertising and non-descriptive epithets like "best", "useful", "handy", "popular", "kick-ass", "professional" and so on.
---

## UI/Theme Frameworks and Components
| | |
|-|-|
| [1pxdeep](http://rriepe.github.io/1pxdeep/) | Brings designing by relative visual weight, or designing with color schemes, to Bootstrap |
| [Bootflat](http://www.flathemes.com/) | Open source Flat UI KIT based on Bootstrap |
| [Bootstrap](http://getbootstrap.com/) | Front-end framework for developing responsive, mobile first projects on the web |
| [Bootstrap a11y theme](https://github.com/bassjobsen/bootstrap-a11y-theme) | Makes web accessibility easier for Bootstrap developers |
| [Bootswatch](http://bootswatch.com/) | Collection of free themes for Bootstrap |
| [Cardinal](http://cardinalcss.com/) | Small "mobile first" CSS framework for front-end developers who build responsive web applications |
| [CSSHórus](http://csshor.us/) | Library for development of responsive and mobile websites |
| [Flat UI Free](http://designmodo.com/flat-free/) | Theme and framework for Bootstrap |
| [frontsize](https://github.com/vitto/frontsize-less) | CSS front end framework |
| [InContent](http://brunodsgn.github.io/InContent/) | Image content with description created with CSS |
| [Ink](http://ink.sapo.pt/) | set of tools for quick development of web interfaces |
| [JBST](http://jbst.eu/) | Theme framework that can be used as a standalone website builder or to create WordPress themes |
| [KNACSS](http://www.knacss.com/) | Minimalist, responsive and extensible style sheet to kick-start your HTML / CSS projects |
| [Kube](http://imperavi.com/kube/) | Minimalistic CSS-framework for developers and designers |
| [Metro UI CSS](http://metroui.org.ua/) | Set of styles to create a site with an interface similar to Windows 8 |
| [Pre](http://madscript.com/pre/) | CSS framework |
| [Schema](http://danmalarkey.github.io/schema/) | Light, responsive, and lean frontend UI framework |
| [UIkit](http://getuikit.com/) | Lightweight and modular front-end framework for developing web interfaces |

## Grid Systems
| | |
|-|-|
| [Fluidable](http://fluidable.com/) | |
| [Golden Grid System](http://goldengridsystem.com/) | |
| [LESS Zen Grid](https://github.com/bassjobsen/LESS-Zen-Grid) | |
| [Order.less](https://github.com/chromice/order.less) | |
| [responsibly](https://github.com/BuschFunker/responsibly) | |
| [Responsive Boilerplate](http://responsiveboilerplate.com/) | |
| [Semantic.gs](http://semantic.gs/) | |

## Mixin Libraries
| | |
|-|-|
| [3L](http://mateuszkocz.github.io/3l/) | Mixins library |
| [animate](https://github.com/joshuapekera/animate) | Library of CSS3 keyframe animations |
| [Clearless](http://clearleft.github.io/clearless/) | Collection of mixins |
| [CssEffects](http://adodson.com/css-effects/) | Collection of CSS style effects |
| [Cssowl](http://cssowl.owl-stars.com/) | Mixin library |
| [cube.less](https://github.com/sparanoid/cube.less) | Animated 3D cube using only CSS |
| [est](https://github.com/ecomfe/est/) | Mixin library |
| [Hexagon](http://db0company.github.io/css-hexagon/) | Generate CSS hexagons with custom size and color |
| [LESS Elements](http://lesselements.com/) | Set of mixins |
| [LESS Hat](http://lesshat.com/) | Mixins library |
| [LESS-bidi](https://github.com/danielkatz/less-bidi) | Set of mixins for creating bi-directional styling |
| [media-query-to-type](https://github.com/himedlooff/media-query-to-type) | Media Queries to Media Types with Less |
| [More-Colors.less](http://jasonrobb.github.io/More-Colors.less/) | Variables for easier color manipulation while you design in the browser |
| [More.less](https://github.com/weinitz/More.less) | Mixins, animations, shapes and more |
| [more-or-less](https://github.com/pixelass/more-or-less) | for-loops and other functions + css3 mixins |
| [Oban](http://oban.io/) | Collection of mixins |
| [Preboot](http://getpreboot.com/) | Collection of variables and mixins. The precursor to Bootstrap |
| [Shape.LESS](https://github.com/fahad19/shape.less) | Collection of mixins for various shapes |
| [tRRtoolbelt.less](https://github.com/therebelrobot/tRRtoolbelt.less) | Mixins and functions for common actions |
