---
title: GUIs for Less.js
---

<span class="warning">**Tip**: try out the different Less tools available for your platform to see which one meets your needs.</span>

_This page focuses on GUI compilers. For command line usage and tools see [Command Line Usage](#command-line-usage)._

## Cross platform

### [Crunch!](http://crunchapp.net/)

> Crunch is not just a Less compiler, it is also a Less editor for Windows and Mac.

If you work a lot with Less files, you should definitely try it out. Crunch is built on the Adobe AIR platform. Get more info: [http://crunchapp.net/](http://crunchapp.net/).

![Crunch screenshot](http://crunchapp.net/wp-content/themes/crunch/img/screenshot2.png)


### [Mixture](http://mixture.io/)

> A rapid prototyping and static site generation tool for designers and developers

Mixture brings together a collection of awesome tools and best practices. It's quick, no-fuss, super-powerful and works with your favourite editor.

Get more info: [http://mixture.io/](http://mixture.io)

![mixture screenshot](https://s3.amazonaws.com/mixture-mixed/1/775/assets/img/img1.jpg)


### [SimpLESS](http://wearekiss.com/simpless)

> SimpLESS is a minimalistic Less compiler. Just drag, drop and compile.

One of the unique features of SimpLESS is that it supports 'prefixing' your CSS by using [http://prefixr.com.](http://prefixr.com). SimpLESS is built on the Titanium platform. Get more info: [http://wearekiss.com/simpless](http://wearekiss.com/simpless)

![SimpLESS screenshot](http://wearekiss.com/lib/img/simpless/app-windows.png?1)


### [Koala](http://koala-app.com/)

> Koala is a cross-platform GUI application for compiling less, sass and coffeescript.

Features: cross platform, compile error notification supports and compile options supports.

Get more info: [http://koala-app.com/](http://koala-app.com/)

![koala screenshot](http://koala-app.com/img/screenshot.png)


## Specific platforms

### Windows

#### [Prepros App](http://alphapixels.com/prepros)
>Prepros is a free and open source app that can compile less, sass, stylus, jade, haml and much more with live browser refresh.

Get more info at [http://alphapixels.com/prepros](http://alphapixels.com/prepros)

![Prepros screenshot](http://alphapixels.com/prepros/static/img/prepros.jpg)

#### [WinLess](http://winless.org)

> WinLess started out as a clone of Less.app, it takes a more feature-complete approach and has several settings. It also supports starting with command line arguments.

Get more info: [http://winless.org](http://winless.org)

![WinLess screenshot](http://winless.org/style/images/WinLess_Screenshot.png)


### OSx

#### [LESS.app](http://incident57.com/less)

> LESS.app was the first GUI compiler for Less. LESS.app has a 'Compiler' tab where you can see the compiler results.

Get more info: [http://incident57.com/less](http://incident57.com/less)

![LESS.app screenshot](http://incident57.com/less/images/hero-window.png)

#### [CodeKit](http://incident57.com/codekit)

> CodeKit is the successor to LESS.app, and supports Less among many other preprocessing languages, such as SASS, Jade, Markdown, and many more.

Get more info: [http://incident57.com/codekit](http://incident57.com/codekit)

![CodeKit screenshot](http://incident57.com/codekit/images/hero-window.png)

#### [LiveReload](http://livereload.com)

> CSS edits and image changes apply live. CoffeeScript, SASS, Less and others just work.

Get more info: [http://livereload.com](http://livereload.com)

![LiveReload screenshot](http://assets.livereload.com/embedded-images/LiveReload-LESS-screenshot-on-white.png)

### Linux

#### [Plessc](https://github.com/Mte90/Plessc)

> Plessc is a gui fronted made with PyQT.

Auto compile, log viewer, open the less file with the editor choosen, settings for compile the file.
Get more info: [https://github.com/Mte90/Plessc](https://github.com/Mte90/Plessc)

![Plessc screenshot](https://github.com/Mte90/Plessc/raw/master/screenshot.png)
